> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /iapd/firms

> Get an investment adviser firm from SEC IAPD by CRD number

**Price:** 1 credit

**⚠️ Common errors:** 412: No investment adviser firm found for the given CRD number



## OpenAPI

````yaml /openapi/compliance-sanctions.json post /api/iapd/firms
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/iapd/firms:
    post:
      tags:
        - /iapd
      summary: /iapd/firms
      description: >-
        Get an investment adviser firm from SEC IAPD by CRD number


        **Price:** 1 credit


        **⚠️ Common errors:** 412: No investment adviser firm found for the
        given CRD number
      operationId: __api_iapd_firms_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IapdFirmPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/IapdFirm'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    IapdFirmPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        crd:
          type: string
        include_previous:
          type: boolean
          default: true
      type: object
      required:
        - crd
    IapdFirm:
      properties:
        '@type':
          type: string
          default: IapdFirm
        crd:
          type: integer
        firm_name:
          anyOf:
            - type: string
            - type: 'null'
        other_names:
          items:
            type: string
          type: array
          default: []
        ia_scope:
          anyOf:
            - type: string
            - type: 'null'
        is_ia_firm:
          anyOf:
            - type: boolean
            - type: 'null'
        legacy_report_status:
          anyOf:
            - type: string
            - type: 'null'
        adv_filing_at:
          anyOf:
            - type: integer
            - type: 'null'
        has_pdf:
          anyOf:
            - type: boolean
            - type: 'null'
        ia_sec_number:
          anyOf:
            - type: string
            - type: 'null'
        ia_sec_number_type:
          anyOf:
            - type: string
            - type: 'null'
        crs_type:
          anyOf:
            - type: string
            - type: 'null'
        office_address:
          anyOf:
            - $ref: '#/components/schemas/IapdAddress'
            - type: 'null'
        is_sec_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_state_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_era_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_sec_era_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        is_state_era_registered:
          anyOf:
            - type: boolean
            - type: 'null'
        registration_statuses:
          items:
            $ref: '#/components/schemas/IapdRegistrationStatus'
          type: array
          default: []
        notice_filings:
          items:
            $ref: '#/components/schemas/IapdNoticeFiling'
          type: array
          default: []
        exempt_reporting_advisers:
          items:
            $ref: '#/components/schemas/IapdRegistrationStatus'
          type: array
          default: []
        is_part2_exempt:
          anyOf:
            - type: boolean
            - type: 'null'
        brochures:
          items:
            $ref: '#/components/schemas/IapdBrochure'
          type: array
          default: []
        report_editions:
          items:
            $ref: '#/components/schemas/IapdReportEdition'
          type: array
          default: []
        form_adv_url:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - crd
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    IapdAddress:
      properties:
        '@type':
          type: string
          default: IapdAddress
        street1:
          anyOf:
            - type: string
            - type: 'null'
        street2:
          anyOf:
            - type: string
            - type: 'null'
        city:
          anyOf:
            - type: string
            - type: 'null'
        state:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        postal_code:
          anyOf:
            - type: string
            - type: 'null'
      type: object
    IapdRegistrationStatus:
      properties:
        '@type':
          type: string
          default: IapdRegistrationStatus
        sec_jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        effective_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IapdNoticeFiling:
      properties:
        '@type':
          type: string
          default: IapdNoticeFiling
        jurisdiction:
          anyOf:
            - type: string
            - type: 'null'
        status:
          anyOf:
            - type: string
            - type: 'null'
        effective_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IapdBrochure:
      properties:
        '@type':
          type: string
          default: IapdBrochure
        version_id:
          anyOf:
            - type: string
            - type: 'null'
        name:
          anyOf:
            - type: string
            - type: 'null'
        submitted_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    IapdReportEdition:
      properties:
        '@type':
          type: string
          default: IapdReportEdition
        edition_id:
          anyOf:
            - type: string
            - type: 'null'
        edition_type:
          anyOf:
            - type: string
            - type: 'null'
        generated_at:
          anyOf:
            - type: integer
            - type: 'null'
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````